#include "dllclass.h"
#include "../c/cdll.h"

int 
DllClassBase::virtual_method () const 
{ 
  return -1; 
}

DllClass::DllClass (int i) : i_(i) { ++instances; }
DllClass::~DllClass () { --instances; }

int 
DllClass::virtual_method () const 
{
  return i_ * i_ * i_; 
}

int 
DllClass::non_virtual_method () const 
{
  return i_ * i_;
}

int
DllClass::thunkToC_dll_int_square (int i) const
{
  return dll_int_square(i);
}

int DllClass::instances;
